Bug 437460 - `bmc-info` shows different information than `ipmitool bmc info` does
`bmc-info` shows different information than `ipmitool bmc info` does
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: freeipmi (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2008-03-14 07:37 EDT by Jan Hutař
Modified: 2015-03-04 20:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-24 11:03:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2008-03-14 07:37:35 EDT
Description of problem:
`bmc-info` shows different informations then `ipmitool bmc info` - this is 
probably mainly caused by confusion about hex/dec numbers values:

> Comment #16 from Phil Knirsch <pknirsch@redhat.com>
> Ok, i've got feedback from the upstream maintainer.
> 1) Seems as if ipmitool and typical bioses report quite a few
> of the numbers as hexnumbers. The fix for the firmware is fairly
> easy, but Al told me there are quite a few other places where
> this would need to be changed as well. He's  working on a patch
> that fixes all problems, but no ETA for it yet.

But some values seems strange to me - please see linked reports.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. bmc-info
2. modprobe ipmi_si ipmi_devintf; ipmitool bmc info
3. compare results

Actual results:

Device ID:         20
Device Revision:   0
Firmware Revision: 1.17


Device ID                 : 32
Device Revision           : 0
Firmware Revision         : 1.11

Expected results:
same values

Additional info:
Found while testing 2008:8152
Comment 2 Dan Horák 2008-03-18 11:57:58 EDT
the numbers are consistent :-)

                bmc-info        ipmitool
Device ID       hex             dec
Device Revision dec             dec
Firmware Rev    dec.dec         hex.hex

these are the output format modifiers for the numbers from the source code of
both tools
Comment 3 Phil Knirsch 2008-04-16 10:50:53 EDT
Should be easily doable for RHEL-5.3, so proposing it for then and granting
Devel ACK.

Read ya, Phil
Comment 4 Phil Knirsch 2008-05-14 10:07:54 EDT
Proposing bug for RHEL-5.3 FasTrack.

Read ya, Phil
Comment 10 errata-xmlrpc 2008-09-24 11:03:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.